from models.mesh_geometry_coordinate_model import MeshGeometryCoordinateModel


class RenderPrimitiveUseCase(object):
    """Rendering primitives

    Args:
        object: CAD-model
    """

    def call(
        self, meshModels: list[MeshGeometryCoordinateModel], detailSquares
    ) -> None:
        for mesh in meshModels:
            mesh.initializePrimitivesByCoordinate(detailSquares)
